MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032041Community[OCCT] OCCT:Modeling Datapublic2021-01-07 10:102021-01-11 09:46
Reporteralexzkw 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusreviewedResolutionopen 
PlatformWindowsOSWindowsOS Version10
Product Version[OCCT] 5.2.2 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032041: Modeling Data - Access violation ExchangeUV in Geom_BezierSurface
DescriptionCalling method ExchangeUV() in Geom_BezierSurface may lead to Access Violation.
Steps To Reproduce
pload MODELING
beziersurf bs 4 4  0  0 0  4 0 0  8 0 0  12 0 0 0  4 0  4 4 1  8 4 0  12 4 0 0  8 0  4 8 0  8 8 -1  12 
8 0 0 12 0 4 12 0 8 12 0 12 12 0
exchuv bs


C++ Code to reproduce:
TColgp_Array2OfPnt anArr(1, 2, 1, 3);
anArr.SetValue(1, 1, gp_Pnt(0, 0, 0));
anArr.SetValue(1, 2, gp_Pnt(0, 1, 0));
anArr.SetValue(1, 3, gp_Pnt(0, 2, 0));
anArr.SetValue(2, 1, gp_Pnt(1, 0, 0));
anArr.SetValue(2, 2, gp_Pnt(1, 1, 0));
anArr.SetValue(2, 3, gp_Pnt(1, 2, 0));

const Handle(Geom_BezierSurface) aBezierSurf = new Geom_BezierSurface(anArr);
aBezierSurf->ExchangeUV();
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0098014)
zale_lzj (reporter)
2021-01-08 06:38

There are no check the member variable (address of weights) exist or not, Geom_BSplineSurface has this problem also.
(0098018)
git (administrator)
2021-01-09 23:30

Branch CR32041 has been created by kgv.

SHA-1: 873d7742233e98fb42f43d6ec20281a58b6a1014


Detailed log of new commits:

Author: kgv
Date: Thu Jan 7 23:10:27 2021 +0300

    0032041: Modeling Data - Access violation ExchangeUV in Geom_BezierSurface
    
    Added missing NULL-checks to Geom_BezierSurface::ExchangeUV() and Geom_BSplineSurface::ExchangeUV().
(0098027)
kgv (developer)
2021-01-10 01:21

Patch is ready for review
- OCCT branch: CR32041.

http://jenkins-test-12.nnov.opencascade.com/view/CR32041-master-KGV/ [^]
(0098044)
msv (developer)
2021-01-11 09:46

For integration:
occt - CR32041
products - none

- Issue History
Date Modified Username Field Change
2021-01-07 10:10 alexzkw New Issue
2021-01-07 10:10 alexzkw Assigned To => msv
2021-01-07 11:59 kgv Target Version => 7.6.0*
2021-01-07 11:59 kgv Summary Access violation ExchangeUV in Geom_BezierSurface => Modeling Data - Access violation ExchangeUV in Geom_BezierSurface
2021-01-07 11:59 kgv Steps to Reproduce Updated View Revisions
2021-01-07 23:08 kgv Steps to Reproduce Updated View Revisions
2021-01-08 06:38 zale_lzj Note Added: 0098014
2021-01-08 14:14 kgv Product Version 7.3.0 => 5.2.2
2021-01-09 23:30 git Note Added: 0098018
2021-01-10 01:21 kgv Note Added: 0098027
2021-01-10 01:21 kgv Status new => resolved
2021-01-11 09:46 msv Note Added: 0098044
2021-01-11 09:46 msv Assigned To msv => bugmaster
2021-01-11 09:46 msv Status resolved => reviewed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker